# Help Scout

{% hint style="danger" %}
The Help Scout integration with Chatlayer is being deprecated. The documentation below is only applicable for current users of the integration.
{% endhint %}

Help Scout is a tool that offers simple service software. Read more [here](https://www.helpscout.com/).

## Help Scout Offloading

### Configure the offloading provider

In the Chatlayer CMS, go to Settings > Offloading and create a Help Scout integration

You'll be prompted to authorize Chatlayer in your Help Scout account

![](/files/-M36s1ltBrgGPNcAxykt)

![](/files/-M36sTskaxOE3ZuLzJKD)

## Sending a user to Help Scout

To have your user transferred to a live agent in Help Scout, create an action at the point in the flow where you want your user to be handed over.

![](/files/-M5ui8CpXkD_josqLcwF)

Add the action "Send to offload provider" to your block and configure it with the correct settings for Help Scout.

![](/files/-M5uiILfeYoFuydMX5z5)

Once a user reaches this part of the conversation, the offload towards Help Scout will be triggered. The bot will automatically be paused when a user reaches this action. When the agent closes the conversation, the bot will be resumed, and all data from the previous offloading session will be deleted. The next time an offload is triggered, a new conversation will be started in HelpScout.

### Customer and Conversation Information

We will initialize the handover process to HelpScout with some user information available on the session. The following session fields will be used to add data to your Help Scout Customer and Conversation:

Email: `helpScout.customer.email` (recommended)\
First name: `helpScout.customer.firstName` OR `internal.user.firstName`   \
Last name: `helpScout.customer.lastName` OR `internal.user.lastName`   \
Subject: `helpScout.conversation.subject`<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chatlayer.ai/integrateandcode/human-offloading-live-chat/helpscout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
